/* --- ALL ELEMENTS --------------------------------------------------------------------------------------------------*/
* {
    box-sizing: border-box;
    min-width: 170px;
}
/* --- HTML TAGS -----------------------------------------------------------------------------------------------------*/
html, body {
    font-size: 18px;    /* standard default value for font-size */
    height: 100%;
    font-family: Arial, sans-serif;
    display: flex;
    flex-direction: column;
    min-width: 292px;    /* 312px results in 320px min width for the website. The minimum for smartphones */
}
button {
    margin: 0 0;
    padding: 5px 10px;
    cursor: pointer;
    border-radius: 4px;
    font-size: 1.1rem;
}
input {
    height: 30px;
    padding: 5px 10px;
    border-radius: 4px;
    font-size: 1.1rem;
}

label {
    /*max-width: 200px;*/
    display: flex;
    align-items: center;
    font-size: 1.05rem;
}
span {
    text-align: center;
}
/* --- CLASSES -------------------------------------------------------------------------------------------------------*/
.navbar, .navbar2 {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    justify-content: stretch;
    padding: 10px 20px;
}
.navbar2 > button {
    padding: 10px 0;
    margin-right: 10px;
}
.navbar button {
    box-sizing: border-box;
    flex: 1;
    text-decoration: none;
    padding: 10px 15px;
    font-weight: bold;
    border: unset;
    font-size: 1.2rem;
}
.navbar2 button, .navbar2 div {
    box-sizing: border-box;
    flex: 1;
    text-decoration: none;
    padding: 10px 15px;
    border: unset;
}
.navbar2 input {
    padding: 10px 10px;
    margin:  2px 0;
    display: inline-block;
    text-align: center;
    -webkit-appearance: none;
    appearance: none;
    border: none;
}
.navbar a {
    padding: 0;
}
.navbar2 div {
    padding: 0;
}
.title h1 {
    text-align: center;
    padding: 20px 0;
    margin-top: 0;
    font-size: 1.7rem;
}
.banner_container {
    display: flex;
    justify-content: space-evenly;
    flex-grow: 1;
    align-items: center;
}
.banner {
    width: 160px;
    height: 600px;
    border: #0099ff 1px solid;
    padding: 10px;
    margin: 10px;
    text-align: center;
}
/* --- footer --- */
.footer {
    padding: 20px 0;
    text-align: center;
    flex-shrink: 0;
}
.footer:empty {
    display: none; /*todo remove this code maybe ?*/
}
/* --- main_content --- */
.main_content {
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    align-items: center;
    flex-grow: 1;
    max-width: 1000px;
    padding: 20px;
    margin: 10px;
}
/* --- container --- */
.container {
    width: 100%;
    padding: 0;
    margin: 0;
}
.container * {
    flex: 1;
}
.container label {
    flex: 0.5;
}
.container > label {
    font-size: 1.2rem;
    font-weight: bold;
    margin-top: 20px;
}
/* --- content_block --- */
.content_block {
    display: flex;
    flex-wrap: wrap;
    align-items: stretch;
    justify-content: stretch;
    padding: 10px 20px;
    border-radius: 10px;
    margin: 0 0 10px;
    min-height: 50px;
    min-width: 210px;
}

.content_block > * {
    box-sizing: border-box;
    margin: 10px;
    flex: 1;
}
/* --- labeled_box --- */
.labeled_box {
    display: flex;
    padding: 0;
}
/* --- dropdown --- */
.dropdown {
    position: relative;
    display: inline-block;
}
.dropdown button, input {
    width: 100%;
}
.dropdown_content {
    width: 100%;
    display: none;
    position: absolute;
    z-index: 1000;
    white-space: nowrap;
    overflow-y: auto;
    max-height: 70vh;
}
.dropdown_content a {
    padding: 12px 16px;
    display: block;
    font-size: 1.05rem;
    text-align: center;
}
.dropdown:hover .dropdown_content {
    display: block;
}
.view {
    flex-direction: column;
}
.details_element {
    overflow: auto;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
.details_element > div {
    margin: 10px 0;
}
.details_element > div > p {
    flex: 1;
    margin: 0;
    overflow-wrap: break-word;
    text-align: center;
    font-size: 16px;
}
/* --- IDs -----------------------------------------------------------------------------------------------------------*/






/* --- RESPONSIVENESS ------------------------------------------------------------------------------------------------*/
@media (max-width: 1160px) {
    html {
        font-size: 16px;
    }
    .banner_container {
        flex-direction: column;
    }
    .banner {
        width: 728px;
        height: 90px;
    }
    #main_content {
        width: 765px;
    }
}

@media (max-width: 765px) {
    html {
        font-size: 15px;
    }
    .banner {
        width: 300px;
        height: 50px;
    }
    #main_content {
        width: 100%;
        min-width: 300px;
        padding: 0;
    }
}

@media (max-width: 400px) {
    html {
        font-size: 14px;
    } .content_block {
        padding: 5px;
        min-width: 200px;
    }
    label {
        font-size: 1.2rem;
    }
}

@media (max-width: 360px) {
    html {
        font-size: 13px;
    }
    .content_block {
        padding: 0;
        min-width: 190px;
    }
}

/* --- EOF -----------------------------------------------------------------------------------------------------------*/
